Version 4.0.26.12 (latest)
Search model sets
Returns all model set records that match the given search criteria.
If multiple search params are given and filter_or is FALSE or not specified,
search params are combined in a logical AND operation.
Only rows that match all search param criteria will be returned.
If filter_or is TRUE, multiple search params are combined in a logical OR operation.
Results will include rows that match any of the search criteria.
String search params use case-insensitive matching.
String search params can contain % and '_' as SQL LIKE pattern match wildcard expressions.
example="dan%" will match "danger" and "Danzig" but not "David"
example="D_m%" will match "Damage" and "dump"
Integer search params can accept a single value or a comma separated list of values. The multiple
values will be combined under a logical OR operation - results will match at least one of
the given values.
Most search params can accept "IS NULL" and "NOT NULL" as special expressions to match
or exclude (respectively) rows where the column is null.
Boolean search params accept only "true" and "false" as values.
Request
GET
/model_sets/search
Expand HTTP Query definition...
fields
string
Requested fields.
limit
integer
Number of results to return (used with `offset`).
offset
integer
Number of results to skip before returning any (used with `limit`).
sorts
string
Fields to sort by.
id
string
Match model set id.
name
string
Match model set name.
all_access
boolean
Match model sets by all_access status.
built_in
boolean
Match model sets by built_in status.
filter_or
boolean
Combine given search criteria in a boolean OR expression.
models
string
Matches model sets that contain all of the specified models (comma separated). This is an experimental feature and may not yet be available on your instance.
Response
200: Model Set
can
lock
object
Operations the current user is able to perform on this object
name
string
Name of ModelSet
url
lock
string
Link to get this item
400: Bad Request
message
lock
string
Error details
documentation_url
lock
string
Documentation link
404: Not Found
message
lock
string
Error details
documentation_url
lock
string
Documentation link
429: Too Many Requests
message
lock
string
Error details
documentation_url
lock
string
Documentation link